Cancel an order
curl --request POST \
--url https://api.circle.com/v1/match/orders/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://api.circle.com/v1/match/orders/cancel"
payload = {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({auctionId: 42, orderId: '550e8400-e29b-41d4-a716-446655440000'})
};
fetch('https://api.circle.com/v1/match/orders/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"auctionId": 42,
"orderId": "550e8400-e29b-41d4-a716-446655440000",
"status": "cancelled"
}
}{
"code": 137001,
"message": "Insufficient available balance"
}{
"code": 137001,
"message": "Insufficient available balance"
}Cancel an order
Cancels a single resting order. Cancellations are blocked during the lock window (error 136001) and while the previous auction is settling (error 136002). If the order has already cleared, it cannot be cancelled.
POST
/
v1
/
match
/
orders
/
cancel
Cancel an order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Order cancelled
Show child attributes
Show child attributes
Was this page helpful?